## com.fasterxml.jackson.databind.ser.impl
Class ObjectIdWriter

    java.lang.Object
      com.fasterxml.jackson.databind.ser.impl.ObjectIdWriter

    public final class ObjectIdWriter

extends Object

Object that knows how to serialize Object Ids.

Field Summary
`com.fasterxml.jackson.annotation.ObjectIdGenerator<?>` `generator` Blueprint generator instance: actual instance will be fetched from `SerializerProvider` using this as the key.
`JavaType` `idType`
`com.fasterxml.jackson.core.io.SerializedString` `propertyName` Name of id property to write, if not null: if null, should only write references, but id property is handled by some other entity.
`JsonSerializer<Object>` `serializer` Serializer used for serializing id values.

Constructor Summary
`protected` `ObjectIdWriter(JavaType t, com.fasterxml.jackson.core.io.SerializedString propName, com.fasterxml.jackson.annotation.ObjectIdGenerator<?> gen, JsonSerializer<?> ser)`

Method Summary
`static ObjectIdWriter` `construct(JavaType idType, String propName, com.fasterxml.jackson.annotation.ObjectIdGenerator<?> generator)` Factory method called by `BeanSerializerBase` with the initial information based on standard settings for the type for which serializer is being built.
`ObjectIdWriter` `withSerializer(JsonSerializer<?> ser)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### idType

    public final JavaType idType

### propertyName

    public final com.fasterxml.jackson.core.io.SerializedString propertyName

  Name of id property to write, if not null: if null, should only write references, but id property is handled by some other entity.

### generator

    public final com.fasterxml.jackson.annotation.ObjectIdGenerator<?> generator

  Blueprint generator instance: actual instance will be fetched from `SerializerProvider` using this as the key.

### serializer

    public final JsonSerializer<Object> serializer

  Serializer used for serializing id values.

Constructor Detail

### ObjectIdWriter

    protected ObjectIdWriter(JavaType t,
                             com.fasterxml.jackson.core.io.SerializedString propName,
                             com.fasterxml.jackson.annotation.ObjectIdGenerator<?> gen,
                             JsonSerializer<?> ser)

Method Detail

### construct

    public static ObjectIdWriter construct(JavaType idType,
                                           String propName,
                                           com.fasterxml.jackson.annotation.ObjectIdGenerator<?> generator)

  Factory method called by `BeanSerializerBase` with the initial information based on standard settings for the type for which serializer is being built.

### withSerializer

    public ObjectIdWriter withSerializer(JsonSerializer<?> ser)

Copyright © 2012 fasterxml.com. All Rights Reserved.